エクスポートリクエストのステータスを取得
curl --request GET \
--url https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps/{requestId}/status \
--header 'Authorization: Bearer <token>'import requests
url = "https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps/{requestId}/status"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://vantage-us.abbyy.com/api/reporting/v2/exports/transaction-steps/{requestId}/status', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"correlationId": "<string>",
"filters": {
"startDate": "2023-11-07T05:31:56Z",
"endDate": "2023-11-07T05:31:56Z",
"skillId": "<string>",
"transactionId": "<string>"
},
"totalFileCount": "<string>"
}Report
エクスポートリクエストのステータスを取得
トランザクションStepエクスポートリクエストの現在のステータスを返します。ステータスが Succeeded になるまでこのエンドポイントをポーリングし、レスポンスの totalFileCount を使用して、各結果ファイルを 0 始まりのインデックスでダウンロードします。
GET
/
api
/
reporting
/
v2
/
exports
/
transaction-steps
/
{requestId}
/
status
エクスポートリクエストのステータスを取得
承認
The access token received from the authorization server in the OAuth 2.0 flow.
パスパラメータ
エクスポート作成時のレスポンスで返される、エクスポートリクエストの ID。
レスポンス
OK
レポート作成処理の相関 ID 失敗またはキャンセルが発生した場合、相関 ID はその後の調査に役立ちます
レポートの生成に使用されたフィルター
Show child attributes
Show child attributes
リクエストの実際のステータス
利用可能なオプション:
New, Queued, Processing, Succeeded, Failed, Cancelled 処理が正常終了した場合の結果ファイル数 結果ファイルにはインデックス番号でアクセスできます
このページは役に立ちましたか?
⌘I
